classification
Title: Update importlib to accept pathlib.Path objects
Type: enhancement Stage: resolved
Components: Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: 26027 Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, ethan.furman, python-dev, r.david.murray
Priority: normal Keywords:

Created on 2016-03-29 18:22 by brett.cannon, last changed 2016-09-08 01:41 by brett.cannon. This issue is now closed.

Messages (4)
msg262618 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-03-29 18:22
We should go through importlib and update the various APIs to accept pathlib.Path objects and not just str.
msg266661 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-05-30 01:43
Brett, is this made obsolete by PEP 519, or is its implementation informed by that PEP?
msg266719 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-05-30 22:09
It's informed. I need to go through the API and see what does or does not makes sense based on PEP 519.
msg274946 - (view) Author: Roundup Robot (python-dev) Date: 2016-09-08 01:40
New changeset 1a36cf6389d8 by Brett Cannon in branch 'default':
Issue #26667: Add path-like object support to importlib.util.
https://hg.python.org/cpython/rev/1a36cf6389d8
History
Date User Action Args
2016-09-08 01:41:19brett.cannonsetstatus: open -> closed
resolution: fixed
stage: resolved
2016-09-08 01:40:39python-devsetnosy: + python-dev
messages: + msg274946
2016-09-07 02:36:40brett.cannonsetassignee: brett.cannon
2016-06-02 17:38:54ethan.furmanlinkissue27182 dependencies
2016-05-30 22:09:37brett.cannonsetmessages: + msg266719
2016-05-30 01:43:12r.david.murraysetnosy: + r.david.murray
messages: + msg266661
2016-04-05 16:35:05ethan.furmansetnosy: + ethan.furman
2016-03-29 18:53:38serhiy.storchakasetdependencies: + Support Path objects in the posix module
2016-03-29 18:22:54brett.cannoncreate